import 'package:flutter/material.dart';

class LoginScreen extends StatefulWidget {
  @override
  _LoginScreenState createState() => _LoginScreenState();
}

class _LoginScreenState extends State<LoginScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Login"),
        centerTitle: true,
      ),
      body: Container(
          padding: EdgeInsets.all(16),
          child: ListView(
            children: [
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 30),
                child: Text(
                  "ZAR-ka",
                  style: TextStyle(
                    fontSize: 40,
                    color: Colors.orange,
                    fontWeight: FontWeight.w900,
                    fontStyle: FontStyle.italic,
                  ),
                  textAlign: TextAlign.center,
                ),
              ),
              LoginForm(),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 20),
                child: Divider(),
              ),
              ElevatedButton.icon(
                icon: Icon(Icons.account_box_outlined),
                label: Text(
                  "create new account",
                ),
                onPressed: () {
                  Navigator.pushNamed(context, "register");
                },
              )
            ],
          )),
    );
  }
}
